www.cendio.com

Bug 6126

Summary: The control bar handle might be in the way
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Web AccessAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, thoni56@cendio.se
Version: trunkKeywords: relnotes, thomas_tester, upstream
Target Milestone: 4.8.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 6132    

Description From cendio 2017-01-10 10:01:16
Currently the control bar handle in the HTML5 client GUI can only be moved
vertically along the height of the control bar. It is possible that it might be
in the way for something in the session.

Upstream noVNC allows the control bar to moved to either side.
------- Comment #1 From cendio 2017-01-10 13:29:28 -------
(In reply to comment #0)
> Upstream noVNC allows the control bar to moved to either side.

See https://github.com/novnc/noVNC/pull/725

Another point worth noting is that currently in upstream, there is no way for a
user to know that the control bar can be moved. There is a open PR for
displaying a hint for this:

https://github.com/novnc/noVNC/pull/732
------- Comment #3 From cendio 2017-02-03 16:07:20 -------
This is fixed now.
------- Comment #4 From cendio 2017-02-08 12:35:09 -------
Tested on MacOS Chrome and Safari and works, except for noted enhancements
(visible clue) and/or documentation?

(For posterity: you can pull on any part of the control bar or the tab in
extended or retracted state, but you get no visual feedback until you are
actually on the other side of the screen. And you have to pull all the way to
make it move.)

A suggestion for a visible clue would be a small dotted "touch area" on the
upper end of the control bar, somewhat like the small pull-out tab. Maybe also
restrict moving to just be allowed with this area. I'd also like an outline
when I drag to give visual feedback that it is a supported action.